{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "plot"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#plot.cwl/fun"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "gc="
                    },
                    "id": "#plot.cwl/gc"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 20
                    },
                    "id": "#plot.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "isize="
                    },
                    "id": "#plot.cwl/isize"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "min_fp_rate="
                    },
                    "id": "#plot.cwl/min_fp_rate"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "mq="
                    },
                    "id": "#plot.cwl/mq"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-o"
                    },
                    "id": "#plot.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "point_size="
                    },
                    "id": "#plot.cwl/point_size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "qd="
                    },
                    "id": "#plot.cwl/qd"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "target_titv="
                    },
                    "id": "#plot.cwl/target_titv"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "tranches_file="
                    },
                    "id": "#plot.cwl/tranches_file"
                }
            ],
            "stderr": "plot.log",
            "id": "#plot.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#plot.cwl/log",
                    "outputBinding": {
                        "glob": "plot.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "id": "#plot.cwl/output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#vqsr-apply.cwl/advanced_options"
                },
                {
                    "type": "string",
                    "default": "ApplyVarCal",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#vqsr-apply.cwl/algo"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--vcf"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vqsr-apply.cwl/input_vcf"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--interval",
                        "position": 10
                    },
                    "id": "#vqsr-apply.cwl/interval"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#vqsr-apply.cwl/output_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--recal"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vqsr-apply.cwl/recal"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#vqsr-apply.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--sensitivity"
                    },
                    "id": "#vqsr-apply.cwl/sensitivity"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#vqsr-apply.cwl/threads"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--tranches_file"
                    },
                    "id": "#vqsr-apply.cwl/tranches_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--var_type"
                    },
                    "id": "#vqsr-apply.cwl/var_type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#vqsr-apply.cwl/log",
                    "outputBinding": {
                        "glob": "vqsr_apply.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vqsr-apply.cwl/output"
                }
            ],
            "stderr": "vqsr_apply.log",
            "id": "#vqsr-apply.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#vqsr-recal.cwl/advanced_options"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "--aggregate_data"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "secondaryFiles": [
                        "${ var f = self.basename; if (f.split(\".\").pop() == \"gz\") return f + \".tbi\"; else return f + \".idx\"; }"
                    ],
                    "id": "#vqsr-recal.cwl/aggregate_data"
                },
                {
                    "type": "string",
                    "default": "VarCal",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#vqsr-recal.cwl/algo"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": "string",
                            "inputBinding": {
                                "prefix": "--annotation"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#vqsr-recal.cwl/annotation"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--vcf"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vqsr-recal.cwl/input_vcf"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--interval",
                        "position": 10
                    },
                    "id": "#vqsr-recal.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--max_gaussians"
                    },
                    "id": "#vqsr-recal.cwl/max_gaussians"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--max_iter"
                    },
                    "id": "#vqsr-recal.cwl/max_iter"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--max_mq"
                    },
                    "id": "#vqsr-recal.cwl/max_mq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--max_neg_gaussians"
                    },
                    "id": "#vqsr-recal.cwl/max_neg_gaussians"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#vqsr-recal.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--plot_file"
                    },
                    "id": "#vqsr-recal.cwl/plot_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#vqsr-recal.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": [
                            {
                                "type": "record",
                                "name": "#vqsr-recal.cwl/resources/resource",
                                "fields": [
                                    {
                                        "name": "#vqsr-recal.cwl/resources/resource/resource",
                                        "type": [
                                            "string",
                                            "File"
                                        ],
                                        "inputBinding": {
                                            "prefix": "--resource"
                                        },
                                        "secondaryFiles": [
                                            ".tbi"
                                        ]
                                    },
                                    {
                                        "name": "#vqsr-recal.cwl/resources/resource/resource_param",
                                        "type": "string",
                                        "inputBinding": {
                                            "prefix": "--resource_param"
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#vqsr-recal.cwl/resources"
                },
                {
                    "type": [
                        "null",
                        "long"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--srand"
                    },
                    "id": "#vqsr-recal.cwl/srand"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#vqsr-recal.cwl/threads"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--tranches_file"
                    },
                    "id": "#vqsr-recal.cwl/tranches_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--var_type"
                    },
                    "id": "#vqsr-recal.cwl/var_type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#vqsr-recal.cwl/log",
                    "outputBinding": {
                        "glob": "vqsr_recal.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vqsr-recal.cwl/output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.plot_file)"
                    },
                    "id": "#vqsr-recal.cwl/plot_output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tranches_file)"
                    },
                    "id": "#vqsr-recal.cwl/tranches_output"
                }
            ],
            "stderr": "vqsr_recal.log",
            "id": "#vqsr-recal.cwl"
        },
        {
            "class": "Workflow",
            "doc": "run vqsr flow, including vqsr rcal, vqsr apply and plot",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#main/advanced_options/vqsr_recal",
                                    "type": [
                                        "null",
                                        {
                                            "type": "array",
                                            "items": "string"
                                        }
                                    ]
                                },
                                {
                                    "name": "#main/advanced_options/vqsr_apply",
                                    "type": [
                                        "null",
                                        {
                                            "type": "array",
                                            "items": "string"
                                        }
                                    ]
                                }
                            ]
                        }
                    ],
                    "id": "#main/advanced_options"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/aggregate_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/annotation"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/input_vcf"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/max_gaussians"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/max_iter"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/max_mq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/max_neg_gaussians"
                },
                {
                    "type": "string",
                    "id": "#main/output_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#main/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": [
                            {
                                "type": "record",
                                "name": "#main/resources/resource",
                                "fields": [
                                    {
                                        "name": "#main/resources/resource/resource",
                                        "type": [
                                            "string",
                                            "File"
                                        ],
                                        "inputBinding": {
                                            "prefix": "--resource"
                                        }
                                    },
                                    {
                                        "name": "#main/resources/resource/resource_param",
                                        "type": "string",
                                        "inputBinding": {
                                            "prefix": "--resource_param"
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    "id": "#main/resources"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/sensitivity"
                },
                {
                    "type": [
                        "null",
                        "long"
                    ],
                    "id": "#main/srand"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#main/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/var_type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/vqsr_apply/output",
                    "id": "#main/output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/plot/output",
                    "id": "#main/plot_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/vqsr_recal/tranches_output",
                    "id": "#main/tranches_output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "valueFrom": "${ return \"vqsr\"; }",
                            "id": "#main/plot/fun"
                        },
                        {
                            "source": "#main/vqsr_recal/plot_output",
                            "id": "#main/plot/input"
                        },
                        {
                            "source": "#main/output_file",
                            "valueFrom": "$(self).pdf",
                            "id": "#main/plot/output_file"
                        },
                        {
                            "source": "#main/vqsr_recal/tranches_output",
                            "id": "#main/plot/tranches_file"
                        }
                    ],
                    "out": [
                        "#main/plot/output"
                    ],
                    "run": "#plot.cwl",
                    "id": "#main/plot"
                },
                {
                    "in": [
                        {
                            "source": "#main/advanced_options",
                            "valueFrom": "${ return self ? self.vqsr_apply : []; }\n",
                            "id": "#main/vqsr_apply/advanced_options"
                        },
                        {
                            "source": "#main/input_vcf",
                            "id": "#main/vqsr_apply/input_vcf"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/vqsr_apply/output_file"
                        },
                        {
                            "source": "#main/vqsr_recal/output",
                            "id": "#main/vqsr_apply/recal"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/vqsr_apply/reference"
                        },
                        {
                            "source": "#main/sensitivity",
                            "id": "#main/vqsr_apply/sensitivity"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/vqsr_apply/threas"
                        },
                        {
                            "source": "#main/vqsr_recal/tranches_output",
                            "id": "#main/vqsr_apply/tranches_file"
                        },
                        {
                            "source": "#main/var_type",
                            "id": "#main/vqsr_apply/var_type"
                        }
                    ],
                    "out": [
                        "#main/vqsr_apply/output"
                    ],
                    "run": "#vqsr-apply.cwl",
                    "id": "#main/vqsr_apply"
                },
                {
                    "in": [
                        {
                            "source": "#main/advanced_options",
                            "valueFrom": "${ return self ? self.vqsr_recal : []; }\n",
                            "id": "#main/vqsr_recal/advanced_options"
                        },
                        {
                            "source": "#main/aggregate_data",
                            "id": "#main/vqsr_recal/aggregate_data"
                        },
                        {
                            "source": "#main/annotation",
                            "id": "#main/vqsr_recal/annotation"
                        },
                        {
                            "source": "#main/input_vcf",
                            "id": "#main/vqsr_recal/input_vcf"
                        },
                        {
                            "source": "#main/max_gaussians",
                            "id": "#main/vqsr_recal/max_gaussians"
                        },
                        {
                            "source": "#main/max_iter",
                            "id": "#main/vqsr_recal/max_iter"
                        },
                        {
                            "source": "#main/max_mq",
                            "id": "#main/vqsr_recal/max_mq"
                        },
                        {
                            "source": "#main/max_neg_gaussians",
                            "id": "#main/vqsr_recal/max_neg_gaussians"
                        },
                        {
                            "source": "#main/output_file",
                            "valueFrom": "$(self).recal.gz",
                            "id": "#main/vqsr_recal/output_file"
                        },
                        {
                            "source": "#main/output_file",
                            "valueFrom": "$(self).plot",
                            "id": "#main/vqsr_recal/plot_file"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/vqsr_recal/reference"
                        },
                        {
                            "source": "#main/resources",
                            "id": "#main/vqsr_recal/resources"
                        },
                        {
                            "source": "#main/srand",
                            "id": "#main/vqsr_recal/srand"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/vqsr_recal/threads"
                        },
                        {
                            "source": "#main/output_file",
                            "valueFrom": "$(self).tranches",
                            "id": "#main/vqsr_recal/tranches_file"
                        },
                        {
                            "source": "#main/var_type",
                            "id": "#main/vqsr_recal/var_type"
                        }
                    ],
                    "out": [
                        "#main/vqsr_recal/output",
                        "#main/vqsr_recal/tranches_output",
                        "#main/vqsr_recal/plot_output"
                    ],
                    "run": "#vqsr-recal.cwl",
                    "id": "#main/vqsr_recal"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
